LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XStyleLoader Interface Referencepublished

enables the object to import styles from documents. More...

`import"XStyleLoader.idl";`

Inheritance diagram for XStyleLoader:

## Public Member Functions
void | loadStylesFromURL ([in] string URL, [in] sequence< com::sun::star::beans::PropertyValue > aOptions) raises ( com::sun::star::io::IOException )
| loads styles from a document at the given URL. More...
sequence< com::sun::star::beans::PropertyValue > | getStyleLoaderOptions ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

enables the object to import styles from documents.

## Member Function Documentation

## ◆ getStyleLoaderOptions()

sequence< com::sun::star::beans::PropertyValue > getStyleLoaderOptions | ( |  | ) |

Returns
  a sequence of the supported properties as declared in XStyleLoader::loadStylesFromURL() with their current values.

## ◆ loadStylesFromURL()

void loadStylesFromURL | ( | [in] string | URL,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | aOptions
| ) |  |
raises | ( | com::sun::star::io::IOException
| ) |  |

loads styles from a document at the given URL.

If OverwriteStyles is `TRUE`, then all styles will be loaded. Otherwise, only styles which are not already defined in this document are loaded.

Parameters

  URL | The directory and the filename from document with the styles You can also load from stream. Use "private:stream" as the URL and the InputStream parameter below.
  aOptions | Specifies which of the Style families the method should load.

The `sequence<PropertyValue>` has the following, optional items:

- boolean LoadCellStyles
- boolean LoadTextStyles
- boolean LoadFrameStyles
- boolean LoadPageStyles
- boolean LoadNumberingStyles
- boolean OverwriteStyles
- com::sun::star::io::XInputStream InputStream (since LibreOffice 7.0)

As the default, all supported style families are loaded and existing styles are overwritten.

The documentation for this interface was generated from the following file:

- com/sun/star/style/XStyleLoader.idl